> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monime.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Countries

> Retrieve a list of all countries where Monime operates its services, providing detailed information about each supported country.



## OpenAPI

````yaml get /countries
openapi: 3.0.3
info:
  title: Monime API
  description: Monime REST API. Please visit https://docs.momime.io/api for more details.
  termsOfService: https://monime.io/legal/terms-of-service
  contact:
    name: Monime Developers
    url: https://github.com/monimesl
    email: dev@monime.io
  version: '2024-08-01'
servers:
  - url: https://api.monime.io/
security:
  - bearerAuth: []
paths:
  /countries:
    get:
      tags:
        - Country
      summary: List Countries
      description: >-
        Retrieve a list of all countries where Monime operates its services,
        providing detailed information about each supported country.
      operationId: ListCountries
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Represents the status of the query operation, confirming
                      if it was successful. This field is always true
                  messages:
                    type: array
                    items: {}
                    description: >-
                      Contains a list of messages providing relevant information
                      or feedback related to the query or operation
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/Country'
                    description: The list of items in the response
                    nullable: true
                  pagination:
                    type: object
                    properties:
                      count:
                        minimum: 0
                        type: integer
                        description: The number of items in this list response.
                      total:
                        minimum: 0
                        type: integer
                        description: >-
                          The estimated total number of items matching the
                          request.
                        nullable: true
                      next:
                        type: string
                        description: >-
                          This identifier marks the first item in this response
                          list when moving backward through the results, or the
                          last item when moving forward. Use this identifier
                          with the 'after' or 'before' query parameter in your
                          next request to get the items that come after or
                          before this item in the overall list respectively.
                        nullable: true
                    description: The pagination info associated with the response
components:
  schemas:
    Country:
      type: object
      properties:
        id:
          type: string
          description: The ID of the country.
          example: cnt-TJh76H8hj778hftdtu66gjio
        code:
          type: string
          description: The ISO 3166-1 alpha-2 country code.
          example: SL
        name:
          type: string
          description: The name of the country.
          example: Sierra Leone
        currency:
          type: object
          properties:
            code:
              type: string
              description: The ISO 4217 currency code.
              example: SLE
            unit:
              type: string
              description: The subunit for the currency.
              example: cent
            unitLength:
              type: integer
              description: The unit length for the currency's subunit.
              example: 2
          description: The default currency object of the country.
        supportedCurrencies:
          type: array
          items:
            type: string
          description: >-
            The list supported currency codes in ISO 4217 format in that
            country. It includes the default currency's code.
          nullable: true
          example:
            - SLE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication specified with the header Authorization:
        Bearer <access_token>

````